Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::reverse_fn Struct Reference

## Synopsis of methods
constexpr view_closure< reverse_fn > | reverse {}

## Public Member Functions
template<typename Rng >
constexpr reverse_view< all_t< Rng > > | operator() (Rng &&rng) const

## Member Function Documentation

## ◆ operator()()

template<typename Rng >

constexpr reverse_view<all_t<Rng> > ranges::views::reverse_fn::operator() | ( | Rng && | rng | ) | const
| constexpr

Precondition
  requires `viewable_range<Rng> && bidirectional_range<Rng>`